import {httpApi} from "../../../request/httpApi";

export default {
    //分类新增或修改
    async getClassSubmit(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/class-submit',
            method: 'post',
            data: form
        }, msg);
    },
    //分类删除
    async setClassRemove(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/class-remove',
            method: 'get',
            params: form
        }, msg);
    },
    //分页条件查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/mobilization/page',
            method: 'get',
            params: form
        }, msg);
    },
    //新增或修改
    async submitForm(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/mobilization/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //批量删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/mobilization/remove',
            method: 'get',
            params: form
        }, msg);
    },
    //批量打印Pdf
    async exportPdf(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/mobilization/print-pdf',
            method: 'post',
            params: form
        }, msg);
    },
    //导入数据保存
    async samplingRecord(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/mobilization/import-batch',
            method: 'post',
            data: form
        }, msg);
    },
}
